Subject: Re: memory problem debugging
From: [email-masked] (Earnie Boyd)

26 Aug 1998 12:20:33 -0700
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
To: [email-masked], Richard Caley <[email-masked]>

This should be in the FAQ if it isn't already.  Use the mmalloc
library that comes with cygwin.  Note that it has two m's for mapped
memory allocation.

---Richard Caley <[email-masked]> wrote:
>
> 
> I have a pervasive problem in some code I'm proting which has all the
> signs of a heap corruption. Can't isolate it by stepping or commenting
> out, so next step is a cleverer malloc. 
> 
> I tried compiling Gray Watson's debugging malloc library, but it is
> very unhappy (crashing in it's setup).
> 
> Before I spend a lot of time reinventing/reporting wheels, has anyone
> got such a package running under cygwin, or have an alternative/better
> suggestion for how to debug heap problems.
> 
> Thanks for any help.
> 
> PS. Any guesses what the odds are that b19.2, b20 or whatever is going
> to be usable under win95? Is the current flakeyness a passing phase or
> a symptem of deep problems?
> 

==
-        \\||//
---o0O0--Earnie--0O0o----
[email-masked]
------ooo0O--O0ooo-------

_________________________________________________________
DO YOU YAHOO!?
Get your free @yahoo.com address at http://mail.yahoo.com

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".